
#import "VVI_GraphViewController.h"

@implementation VVI_GraphViewController

@synthesize graphWebView;

-(void)updateGraph
{
	
	NSString *theGraphURL;
	
	if(updateGraphIndex % 2 == 0)
	{
		theGraphURL = @"http://www.vvidget.org/cgi-bin/nph-pvs?1&EMAIL&chart&1&300,250&chart_type=1&chart_subtype=0&chart_format_type=1&title=iPhone%20Graph%20One&x_title=My%20X%20Title&y_title=My%20Y%20Title&data_1=1%2020.0%202%2040.0%203%2035.4%204%2066.2%205%2077.3&data_2=1%2030.0%202%2099.0%203%2010.0%204%2060.0&data_3=1%20123.0%202%2034.0%203%2099.0%204%2077.3&line_color=000000";
	}
	else
	{
		theGraphURL = @"http://www.vvidget.org/cgi-bin/nph-pvs?1&EMAIL&chart&1&300,250&chart_type=1&chart_subtype=0&chart_format_type=1&title=iPhone%20Graph%20Two&x_title=My%20X%20Title&y_title=My%20Y%20Title&data_1=1%2020.0%202%2040.0%203%2035.4%204%2066.2%205%2033.3";
	}
	
	
	NSString *fullHTMLString;
	NSURL *baseURL = nil;
	
	fullHTMLString = [NSString stringWithFormat:@"<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n<html xmlns=\"http://www.w3.org/1999/xhtml\" lang=\"en-US\" xml:lang=\"en-US\">\n<head>\n<title>Spot</title>\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\n</head>\n<body>\n<img src=\"%@\" width=300 height=250 border=0>\n<br>Touch <a href=\"http://www.peervisual.com/manuals/VvidgetCode\">Vvidget Code Reference Manual</a> for comprehensive information.</body>\n</html>", theGraphURL];
	
	[graphWebView loadHTMLString:fullHTMLString baseURL:baseURL];
	
}

-(IBAction)changeGraph:(id)sender
{
	updateGraphIndex++;

	[self updateGraph];
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
	
	if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])
	{
		
		updateGraphIndex = 0;
		
	}
	
	return self;
}

/*
 // Implement loadView to create a view hierarchy programmatically, without using a nib.
 - (void)loadView {
 }
 */



- (void)viewDidLoad
{
	[super viewDidLoad];
	
	
	[self updateGraph];
}


/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
	[super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[super dealloc];
}

@end
